# Get End User

<table data-header-hidden><thead><tr><th width="74.8046875" align="center">HTTP MEthod</th><th>URL</th></tr></thead><tbody><tr><td align="center"><mark style="color:green;"><strong>GET</strong></mark> </td><td>https://api.sfox.com/v1/enterprise/users/:user_id</td></tr></tbody></table>

Retrieve a single, specific end user.  Note, the end user can be of account type `individual` or `corporate`.

***

{% hint style="info" %}
Retrieve a list of multiple end users by executing a [Get Multiple End Users](/connect/rest-api/end-users/get-multiple-end-users.md) request.
{% endhint %}

## Request

### Path Parameters

<table><thead><tr><th width="186.94140625" valign="top">Parameter</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>user_id</code> <br><mark style="color:red;">required</mark>, string</td><td valign="top"><code>user_id</code> of the specific end user to retrieve.</td></tr></tbody></table>

### Example Requests

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```shell
curl --location 'https://api.sfox.com/v1/enterprise/users/${USER_ID}' \
--header 'Authorization: Bearer ${ENTERPRISE_API_KEY}'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```python
import requests
import os

data = requests.get(
  "https://api.sfox.com/v1/enterprise/users/${USER_ID}",
  headers={
    "Authorization": f"Bearer {os.environ['ENTERPRISE_API_KEY']}"
  }
)
print(data.status_code)
print(data.json())
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}
{% code overflow="wrap" lineNumbers="true" expandable="true" %}

```javascript
const axios = require('axios');

const config = {
  method: 'get',
  url: 'https://api.sfox.com/v1/enterprise/users/${USER_ID}',
  headers: {
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`
  }
}

axios(config)
  .then(response => {
    console.log(response.status)
    console.log(respones.data)
  }).catch(err => {
    console.error(err.response.status)
    console.error(err.response.data)
  });
```

{% endcode %}
{% endtab %}
{% endtabs %}

***

## Response

Returns a `data` object with the following response fields; see below for `individual` and `corporate` account structures.

#### Individual

<table><thead><tr><th width="245">Field</th><th valign="top">Description</th></tr></thead><tbody><tr><td><code>account_type</code></td><td valign="top">The end user's account type.<br><em>Possible values:</em> <code>individual</code>, <code>corporation</code></td></tr><tr><td><code>account_role</code>string</td><td valign="top">The end user's role.<br><em>Possible values:</em> <code>Client</code>, <code>Advisor</code></td></tr><tr><td><code>user_id</code>string</td><td valign="top">End user's unique ID, defined by you.</td></tr><tr><td><code>advisor_user_id</code><em>nullable,</em> string</td><td valign="top"><code>user_id</code> of the end user's, if applicable.</td></tr><tr><td><code>email</code>string</td><td valign="top">Email address of the user.</td></tr><tr><td><code>first_name</code>string</td><td valign="top">First name of the user.</td></tr><tr><td><code>last_nam</code>string</td><td valign="top">Last name of the user.</td></tr><tr><td><code>phone_number</code>string</td><td valign="top">Phone number of the user in <a href="https://www.twilio.com/docs/glossary/what-e164">E.164 format</a> (e.g. <code>+14155552671</code>).</td></tr><tr><td><code>account_purpose</code> string</td><td valign="top">Primary purpose or use case for the account.</td></tr><tr><td><code>account_purpose_other</code> string</td><td valign="top">The account purpose free text entry when <code>account_purpose</code> = <code>other</code>.</td></tr><tr><td><code>source_of_funds</code> string</td><td valign="top">Primary source of end user's funds transferred to their account.</td></tr><tr><td><code>source_of_funds_other</code> string</td><td valign="top">Source of funds free text entry when <code>source_of_funds</code> = <code>other</code></td></tr><tr><td><code>id</code> string</td><td valign="top">This ID is provided by the sFOX system and should be used as a unique ID for this other endpoints.</td></tr><tr><td><code>phone_country_code</code> string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the phone number.</td></tr><tr><td><code>intermediary_status</code> string</td><td valign="top">Will the end user be receiving or sending funds on behalf of someone other than themselves.</td></tr><tr><td><code>expected_transfer_volume</code> string</td><td valign="top">Expected monthly USD notional volume of transfers (sent and received).</td></tr><tr><td><code>expected_trade_volume</code> string</td><td valign="top">Expected monthly USD notional volume of trading (buys and sells).</td></tr><tr><td><code>individual</code> <a href="/pages/wkNmtRoP8TnEPRcONW4u">object</a></td><td valign="top">The user's identity information provided during registration.</td></tr><tr><td><code>status</code>string</td><td valign="top">Verification status of the user’s sFOX account.<br><em>Possible values:</em> <code>PENDING</code>, <code>VERIFIED</code>, <code>UNSUPPORTED</code></td></tr><tr><td><code>requirements</code>object</td><td valign="top">The remaining requirements to complete account verification.</td></tr></tbody></table>

### Individual Example

<details>

<summary><mark style="color:green;"><strong>200</strong></mark><strong>: OK</strong></summary>

{% code title="Response for a single user\_id: client\_account\_1" overflow="wrap" lineNumbers="true" expandable="true" %}

```json
{
    "data": {
        "account_type": "individual",
        "account_role": "Client",
        "user_id": "client_account_1",
        "advisor_user_id": null,
        "email": "user_1_mail@address.com",
        "first_name": "Jane",
        "last_name": "Smith",
        "phone_number": "+12243987754",
        "account_purpose": "investing",
        "account_purpose_other": null,
        "source_of_funds": "other",
        "source_of_funds_other": "Salary and investing",
        "id": "e26bcdeb-6406-11f0-a8e5-12e9c04db554",
        "phone_country_code": "US",
        "intermediary_status": null,
        "expected_transfer_volume": null,
        "expected_trade_volume": null,
        "individual": {
            "dob": "1980-01-01",
            "residential_country_code": "US",
            "residential_address": "123 Main St",
            "residential_city": "San Francisco",
            "residential_state": "CA",
            "residential_postal_code": "60622",
            "id_type": "ssn",
            "id_number": "*****6789",
            "id_country_code": "US",
            "employment_status": null,
            "industry": null,
            "occupation": null,
            "job_title": null
        },
        "status": "VERIFIED",
        "requirements": {
            "email": false,
            "sms": false
        }
    }
}
```

{% endcode %}

</details>

### Corporate

<table><thead><tr><th width="245">Field</th><th valign="top">Description</th></tr></thead><tbody><tr><td><code>account_type</code>string</td><td valign="top">The end user's account type.<br><em>Possible values:</em> <code>individual</code>, <code>corporation</code></td></tr><tr><td><code>account_role</code>string</td><td valign="top">The end user's role.<br><em>Possible values:</em> <code>Client</code>, <code>Advisor</code></td></tr><tr><td><code>user_id</code>string</td><td valign="top">End user's unique ID, defined by you.</td></tr><tr><td><code>advisor_user_id</code><em>nullable,</em> string</td><td valign="top"><code>user_id</code> of the end user's, if applicable.</td></tr><tr><td><code>email</code>string</td><td valign="top">Email address of the user.</td></tr><tr><td><code>first_name</code><br>string</td><td valign="top">First name of the user.</td></tr><tr><td><code>last_name</code><br>string</td><td valign="top">Last name of the user.</td></tr><tr><td><code>phone_number</code>string</td><td valign="top">Phone number of the user in <a href="https://www.twilio.com/docs/glossary/what-e164">E.164 format</a> (e.g. <code>+14155552671</code>).</td></tr><tr><td><code>account_purpose</code> string</td><td valign="top">Primary purpose or use case for the account.</td></tr><tr><td><code>account_purpose_other</code> string</td><td valign="top">The account purpose free text entry when <code>account_purpose</code> = <code>other</code>.</td></tr><tr><td><code>source_of_funds</code> string</td><td valign="top">Primary source of end user's funds transferred to their account.</td></tr><tr><td><code>source_of_funds_other</code> string</td><td valign="top">Source of funds free text entry when <code>source_of_funds</code> = <code>other</code></td></tr><tr><td><code>phone_country_code</code> string</td><td valign="top">The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the phone number.</td></tr><tr><td><code>intermediary_status</code> string</td><td valign="top">Will the end user be receiving or sending funds on behalf of someone other than themselves.</td></tr><tr><td><code>expected_transfer_volume</code> string</td><td valign="top">Expected monthly USD notional volume of transfers (sent and received).</td></tr><tr><td><code>expected_trade_volume</code> string</td><td valign="top">Expected monthly USD notional volume of trading (buys and sells).</td></tr><tr><td><code>business</code> <a href="/pages/wkNmtRoP8TnEPRcONW4u">object</a></td><td valign="top">The business information provided during registration.</td></tr><tr><td><code>beneficial_owners</code><a href="/pages/3TWxDYrvwqgDa66tRlH4#beneficial-owners">object</a></td><td valign="top">Beneficial owner array for this account.</td></tr><tr><td><code>status</code>string</td><td valign="top">Verification status of the user’s sFOX account.<br><em>Possible values:</em> <code>PENDING</code>, <code>VERIFIED</code>, <code>UNSUPPORTED</code></td></tr><tr><td><code>requirements</code>object</td><td valign="top">The remaining requirements to complete account verification.</td></tr></tbody></table>

### Beneficial Owners

<table><thead><tr><th width="244.848388671875">Field</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code> string</td><td>This ID is provided by the sFOX system and should be used as a unique identifier for this beneficial owner (or for a corporate account entity) when submitting documents.</td></tr><tr><td><code>email</code> string</td><td>The email address of beneficial owner. Must not have leading or trailing spaces and must be <a href="https://datatracker.ietf.org/doc/html/rfc3696">RFC 3696</a> compliant.</td></tr><tr><td><code>first_name</code> string</td><td>The first name of the beneficial owner.</td></tr><tr><td><code>middle_name</code> string</td><td>The middle name of the beneficial owner.</td></tr><tr><td><code>last_name</code> string</td><td>The last name of the beneficial owner.</td></tr><tr><td><code>phone_number</code> string</td><td>A valid phone number for the beneficial owner in <a href="https://www.twilio.com/docs/glossary/what-e164">E.164 format</a> (e.g. <code>+14155552671</code>).</td></tr><tr><td><code>dob</code> string</td><td>The date of birth of beneficial owner in the format <code>YYYY-MM-DD</code> (<a href="https://datatracker.ietf.org/doc/html/rfc3339#section-5.6">RFC 3339 Section 5.6</a>).</td></tr><tr><td><code>ssn</code> string</td><td>Social Security Number (SSN) or Passport number of the beneficial owner.</td></tr><tr><td><code>address_street1</code>string</td><td>Street address of owner's primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.</td></tr><tr><td><code>address_city</code> string</td><td>City of the owner's primary residence. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.</td></tr><tr><td><code>address_subdivision</code> string</td><td>An ISO 3166-2 subdivision code of primary residence. Related terms would be "state", "province", "prefecture", "zone", "subdivision", etc. <em>If  <code>residential_country_code</code> = <code>US</code>, must be a valid 2 char state code (e.g. <code>CA</code>)</em></td></tr><tr><td><code>address_country_code</code> string</td><td>The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the owner's primary residence (e.g. <code>US</code>)</td></tr><tr><td><code>address_postal_code</code> string</td><td>The postal code for the owner's associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.</td></tr><tr><td><code>id_type</code> string</td><td>Form of identification associated with the <code>id_number</code> below. <em>Possible values: <code>ssn</code> (if <code>residential_country_code</code> = <code>US</code>), <code>passport</code></em></td></tr><tr><td><code>id_country_code</code> string</td><td>The <a href="https://www.iso.org/iso-3166-country-codes.html">ISO 3166-1 alpha-2</a> country code of the issuing country of the <code>id_type</code>. <em>If  <code>id_type</code> = <code>ssn</code>, must be <code>US</code></em></td></tr><tr><td><code>job_title</code> string</td><td>The owner's current job title or position.</td></tr><tr><td><code>employment_status</code> string</td><td>The individual's current working status or working relationship with organization(s). Possible values: <code>full_time_employee</code>, <code>unemployed</code>, <code>retired</code>, <code>student</code>, <code>self_employed</code>, <code>independent_contractor</code></td></tr><tr><td><code>industry</code> string</td><td>The industry or sector that the individual primarily or currently works in. Possible values: <code>agriculture</code>, <code>administrative_support_services</code>, <code>arts_media</code>, <code>consulting</code>, <code>construction</code>, <code>education</code>, <code>entertainment</code>, <code>energy</code>, <code>ecommerce_digital_platforms</code>, <code>financial_services</code>, <code>food_hospitality</code>, <code>government</code>, <code>healthcare</code>, <code>information_media</code>, <code>manufacturing</code>, <code>mining_crypto</code>, <code>mining_extraction</code>, <code>non_profit</code>, <code>professional_services</code>, <code>personal_services</code>, <code>real_estate</code>, <code>retail_trade</code>, <code>social_services</code>, <code>transportation_warehousing</code>, <code>technology_software</code>, <code>utilities</code>, <code>wholesale_trade</code></td></tr><tr><td><code>occupation</code> string</td><td>The individual's primary occupation. Possible values: <code>management_executive</code>, <code>business_financial_operations</code>, <code>computer_mathematical</code>, <code>architecture_engineering</code>, <code>life_physical_social_science</code>, <code>healthcare_practitioners_technical</code>, <code>healthcare_support</code>, <code>legal</code>, <code>education_training_library</code>, <code>arts_design_entertainment_media</code>, <code>community_social_service</code>, <code>protective_service</code>, <code>sales_related</code>, <code>office_administrative_support</code>, <code>food_preparation_serving</code>, <code>personal_care_service</code>, <code>building_grounds_maintenance</code>, <code>construction_extraction</code>, <code>installation_maintenance_repair</code>, <code>production_manufacturing</code>, <code>transportation_material_moving</code>, <code>farming_fishing_forestry</code>, <code>military</code>, <code>student</code>, <code>homemaker_caregiver</code>, <code>unemployed_between_jobs</code>, <code>retired</code></td></tr></tbody></table>

### Corporate Example

<details>

<summary><mark style="color:green;"><strong>200</strong></mark><strong>: OK</strong></summary>

{% code title="Response for a single user\_id: corp\_account\_1" overflow="wrap" lineNumbers="true" expandable="true" %}

```json
{
    "data": {
        "account_type": "corporation",
        "account_role": "Client",
        "user_id": "corp_account_1",
        "advisor_user_id": null,
        "email": "corp10@address.com",
        "first_name": "Jane",
        "last_name": "Smith",
        "phone_number": "+12243927599",
        "account_purpose": "arbitrage trading",
        "account_purpose_other": null,
        "source_of_funds": null,
        "source_of_funds_other": null,
        "phone_country_code": "US",
        "intermediary_status": null,
        "expected_transfer_volume": null,
        "expected_trade_volume": null,
        "business": {
            "entity_name": "Hedge Fund Alpha",
            "incorporation_country": "US",
            "incorporation_state": "WY",
            "organization_type": "LLC",
            "business_type": "Fund Administrator",
            "registration_number": "*****6789",
            "website": null,
            "description": "crypto fund",
            "incorporation_date": "2012-11-15",
            "accredited_investor": true,
            "non_agent_intermediary": false,
            "principal_place_country": "US",
            "principal_place_state": "CA",
            "principal_place_address": "1234 Flower Street",
            "principal_place_city": "Los Angeles",
            "principal_place_postal_code": "90403"
        },
        "beneficial_owners": [
            {
                "id": "207a6d5a-d47b-11f0-a8e5-12e9c04dbb50",
                "email": "owner@email.com",
                "first_name": "Benny",
                "middle_name": "S",
                "last_name": "Owner",
                "phone_number": "5559998888",
                "dob": "1982-10-15",
                "ssn": "*****6789",
                "address_street1": "2322 Clover lane",
                "address_city": "Chicago",
                "address_subdivision": "IL",
                "address_country_code": "US",
                "address_postal_code": "60093",
                "id_type": "passport",
                "id_country_code": "US",
                "job_title": null,
                "employment_status": null,
                "industry": null,
                "occupation": null,
            }
        ],
        "status": "PENDING",
        "requirements": {
            "email": true,
            "sms": false
        }
    }
}
```

{% endcode %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/end-users/get-end-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
